Bug 391687 - kmail crashes on akonadictl restart
Summary: kmail crashes on akonadictl restart
Status: RESOLVED WORKSFORME
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 5.6.3
Platform: Debian testing Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2018-03-10 23:23 UTC by Boudewijn
Modified: 2021-01-16 04:37 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boudewijn 2018-03-10 23:23:51 UTC
Application: kontact (5.6.3)

Qt Version: 5.9.2
Frameworks Version: 5.42.0
Operating System: Linux 4.14.0-3-amd64 x86_64
Distribution: Debian GNU/Linux testing (buster)

-- Information about the crash:
- What I was doing when the application crashed:
I tried to figure out sieve scripts. 
1. enabled 'server supports sieve' for two  accounts
2. started sieve editor
3. all accounts are listed, most greyed out, the two with 'server supports sieve' being queried (for existing scripts?) 
4. nothing happens, exept for the animation under those two accounts
5. perhaps akonadi has troubles? akonadictl restart to the rescue
6. kmail crashes while akonadi was restarting

Related to the sieve scripts: I tried using sieve scripts from another computer with an older version of kmail earlier. It does not seem to have any effect on the email or on the server: all mail stays where it arrives (instead of going to the place configured with the sieve script). Perhaps my current kmail got stuck on the existing bits of sieve script.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f1af52d4080 (LWP 2568))]

Thread 29 (Thread 0x7f1ab8b5a700 (LWP 8933)):
#0  0x00007f1af1d0d094 in __GI___libc_read (fd=130, buf=0x7f1ab8b59810, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f1aeb843230 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f1aeb7fec07 in g_main_context_check () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1aeb7ff0c0 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f1aeb7ff22c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f1af285f10b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f1af28042aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f1af262335a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f1af262822d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f1aedaa05aa in start_thread (arg=0x7f1ab8b5a700) at pthread_create.c:463
#10 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 28 (Thread 0x7f1aabfff700 (LWP 7470)):
#0  0x00007f1af1d115d9 in __GI___poll (fds=0x7f1990000d10, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f1aeb7ff119 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f1aeb7ff22c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1af285f10b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f1af28042aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f1af262335a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f1af262822d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f1aedaa05aa in start_thread (arg=0x7f1aabfff700) at pthread_create.c:463
#8  0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 27 (Thread 0x7f19a8ea0700 (LWP 3045)):
#0  0x00007f1aeb7fe5bf in g_main_context_prepare () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f1aeb7ff04b in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f1aeb7ff22c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1af285f10b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f1af28042aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f1af262335a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f1af262822d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f1aedaa05aa in start_thread (arg=0x7f19a8ea0700) at pthread_create.c:463
#8  0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 26 (Thread 0x7f19aa0b1700 (LWP 3042)):
#0  0x00007f1af1d115d9 in __GI___poll (fds=0x7f199c003ce0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f1aeb7ff119 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f1aeb7ff22c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1af285f10b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f1af28042aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f1af262335a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f1af262822d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f1aedaa05aa in start_thread (arg=0x7f19aa0b1700) at pthread_create.c:463
#8  0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 25 (Thread 0x7f19aa8b2700 (LWP 3039)):
#0  0x00007f1af1d115d9 in __GI___poll (fds=0x7f19a40049b0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f1aeb7ff119 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f1aeb7ff22c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1af285f10b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f1af28042aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f1af262335a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f1af262822d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f1aedaa05aa in start_thread (arg=0x7f19aa8b2700) at pthread_create.c:463
#8  0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 24 (Thread 0x7f19bed18700 (LWP 3003)):
#0  0x00007f1af1d0d094 in __GI___libc_read (fd=70, buf=0x7f19bed17810, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f1aeb843230 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f1aeb7fec07 in g_main_context_check () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1aeb7ff0c0 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f1aeb7ff22c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f1af285f10b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f1af28042aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f1af262335a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f1af262822d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f1aedaa05aa in start_thread (arg=0x7f19bed18700) at pthread_create.c:463
#10 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7f19bf519700 (LWP 2984)):
#0  0x00007f1af517ce57 in update_get_addr (ti=0x7f1af2c616b0) at ../elf/dl-tls.c:799
#1  0x00007f1af51820c8 in __tls_get_addr () at ../sysdeps/x86_64/tls_get_addr.S:55
#2  0x00007f1af26270b6 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#3  0x00007f1af285f501 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f1aeb7feb39 in g_main_context_check () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f1aeb7ff0c0 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f1aeb7ff22c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007f1af285f10b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f1af28042aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f1af262335a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f1af262822d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f1aedaa05aa in start_thread (arg=0x7f19bf519700) at pthread_create.c:463
#12 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7f19c03b8700 (LWP 2822)):
#0  0x00007f1af1d115d9 in __GI___poll (fds=0x7f19b8004a10, nfds=1, timeout=9704) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f1aeb7ff119 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f1aeb7ff22c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1af285f10b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f1af28042aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f1af262335a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f1af262822d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f1aedaa05aa in start_thread (arg=0x7f19c03b8700) at pthread_create.c:463
#8  0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7f1a66ffd700 (LWP 2788)):
#0  0x00007f1aedaa64ec in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f1adc966fb8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f1aedaa64ec in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f1adc966f68, cond=0x7f1adc966f90) at pthread_cond_wait.c:502
#2  0x00007f1aedaa64ec in __pthread_cond_wait (cond=0x7f1adc966f90, mutex=0x7f1adc966f68) at pthread_cond_wait.c:655
#3  0x00007f1adc6705f4 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#4  0x00007f1adc670639 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#5  0x00007f1aedaa05aa in start_thread (arg=0x7f1a66ffd700) at pthread_create.c:463
#6  0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7f1a677fe700 (LWP 2787)):
#0  0x00007f1aedaa64ec in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55cc86505c3c) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f1aedaa64ec in __pthread_cond_wait_common (abstime=0x0, mutex=0x55cc86505be8, cond=0x55cc86505c10) at pthread_cond_wait.c:502
#2  0x00007f1aedaa64ec in __pthread_cond_wait (cond=0x55cc86505c10, mutex=0x55cc86505be8) at pthread_cond_wait.c:655
#3  0x00007f1ae2825555 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f1ae2825a37 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f1ae28267d1 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1aedaa05aa in start_thread (arg=0x7f1a677fe700) at pthread_create.c:463
#8  0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7f1a67fff700 (LWP 2785)):
#0  0x00007f1aedaa64ec in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55cc86505c3c) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f1aedaa64ec in __pthread_cond_wait_common (abstime=0x0, mutex=0x55cc86505be8, cond=0x55cc86505c10) at pthread_cond_wait.c:502
#2  0x00007f1aedaa64ec in __pthread_cond_wait (cond=0x55cc86505c10, mutex=0x55cc86505be8) at pthread_cond_wait.c:655
#3  0x00007f1ae2825555 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f1ae2825a37 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f1ae28267d1 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1aedaa05aa in start_thread (arg=0x7f1a67fff700) at pthread_create.c:463
#8  0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f1a80ff9700 (LWP 2773)):
#0  0x00007f1af1cc4e83 in __mempcpy_sse2_unaligned () at ../sysdeps/x86_64/multiarch/memmove-vec-unaligned-erms.S:117
#1  0x00007f1af1c5469d in __dcigettext (domainname=0x7f1af1da2294 <_libc_intl_domainname> "libc", msgid1=0x7f1af1da26e3 "Bad file descriptor", msgid2=msgid2@entry=0x0, plural=plural@entry=0, n=n@entry=0, category=category@entry=5) at dcigettext.c:656
#2  0x00007f1af1c5349f in __GI___dcgettext (domainname=<optimized out>, msgid=<optimized out>, category=category@entry=5) at dcgettext.c:47
#3  0x00007f1af1caafb8 in __GI___strerror_r (errnum=errnum@entry=9, buf=buf@entry=0x0, buflen=buflen@entry=0) at _strerror.c:71
#4  0x00007f1af1caaedf in strerror (errnum=9) at strerror.c:31
#5  0x00007f1adb253c21 in event_warn () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#6  0x00007f1adb255588 in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#7  0x00007f1adb24b329 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#8  0x00007f1ae27f6389 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f1ae27f2658 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f1ae280f09b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f1ae2826d96 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#13 0x00007f1aedaa05aa in start_thread (arg=0x7f1a80ff9700) at pthread_create.c:463
#14 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f1a817fa700 (LWP 2772)):
#0  0x00007f1aedaa64ec in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f1a817f9738) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f1aedaa64ec in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f1a817f96e8, cond=0x7f1a817f9710) at pthread_cond_wait.c:502
#2  0x00007f1aedaa64ec in __pthread_cond_wait (cond=0x7f1a817f9710, mutex=0x7f1a817f96e8) at pthread_cond_wait.c:655
#3  0x00007f1ae281b239 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f1ae281b267 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f1ae27f5d8b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f1ae27f2658 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1ae280f09b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f1ae2826d96 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f1aedaa05aa in start_thread (arg=0x7f1a817fa700) at pthread_create.c:463
#11 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f1a81ffb700 (LWP 2771)):
#0  0x00007f1af1d28f6f in __libc_enable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:67
#1  0x00007f1af1d115c6 in __GI___poll (fds=0x7f1a5c007030, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#2  0x00007f1ac4e5a6b1 in  () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f1ac4e4c070 in pa_mainloop_poll () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f1ac4e4c700 in pa_mainloop_iterate () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f1ac4e4c790 in pa_mainloop_run () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f1ac4e5a5f9 in  () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#7  0x00007f1ac49f3c58 in  () at /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-11.1.so
#8  0x00007f1aedaa05aa in start_thread (arg=0x7f1a81ffb700) at pthread_create.c:463
#9  0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f1a827fc700 (LWP 2770)):
#0  0x00007f1aedaa681a in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f1a827fb5d0, expected=0, futex_word=0x7f1a827fb758) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f1aedaa681a in __pthread_cond_wait_common (abstime=0x7f1a827fb670, mutex=0x7f1a827fb708, cond=0x7f1a827fb730) at pthread_cond_wait.c:533
#2  0x00007f1aedaa681a in __pthread_cond_timedwait (cond=0x7f1a827fb730, mutex=0x7f1a827fb708, abstime=0x7f1a827fb670) at pthread_cond_wait.c:667
#3  0x00007f1ae2853fa2 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f1ae281b1be in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f1ae27f5ddb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f1ae27f2658 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1ae280f09b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f1ae2826d96 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f1aedaa05aa in start_thread (arg=0x7f1a827fc700) at pthread_create.c:463
#11 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f1a82ffd700 (LWP 2768)):
#0  0x00007f1aedaa64ec in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55cc86512c88) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f1aedaa64ec in __pthread_cond_wait_common (abstime=0x0, mutex=0x55cc86512bc8, cond=0x55cc86512c60) at pthread_cond_wait.c:502
#2  0x00007f1aedaa64ec in __pthread_cond_wait (cond=0x55cc86512c60, mutex=0x55cc86512bc8) at pthread_cond_wait.c:655
#3  0x00007f1ae2fa8f50 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f1ae28267d1 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f1aedaa05aa in start_thread (arg=0x7f1a82ffd700) at pthread_create.c:463
#7  0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f1a837fe700 (LWP 2766)):
#0  0x00007f1aedaa64ec in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55cc86505c3c) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f1aedaa64ec in __pthread_cond_wait_common (abstime=0x0, mutex=0x55cc86505be8, cond=0x55cc86505c10) at pthread_cond_wait.c:502
#2  0x00007f1aedaa64ec in __pthread_cond_wait (cond=0x55cc86505c10, mutex=0x55cc86505be8) at pthread_cond_wait.c:655
#3  0x00007f1ae2825555 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f1ae2825a37 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f1ae28267d1 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1aedaa05aa in start_thread (arg=0x7f1a837fe700) at pthread_create.c:463
#8  0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f1a83fff700 (LWP 2765)):
#0  0x00007f1aedaa64ec in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f1a83ffe738) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f1aedaa64ec in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f1a83ffe6e8, cond=0x7f1a83ffe710) at pthread_cond_wait.c:502
#2  0x00007f1aedaa64ec in __pthread_cond_wait (cond=0x7f1a83ffe710, mutex=0x7f1a83ffe6e8) at pthread_cond_wait.c:655
#3  0x00007f1ae281b239 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f1ae281b267 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f1ae27f5d8b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f1ae27f2658 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1ae280f09b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f1ae2826d96 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f1aedaa05aa in start_thread (arg=0x7f1a83fff700) at pthread_create.c:463
#11 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f1aa8ff9700 (LWP 2762)):
#0  0x00007f1af1d28f1b in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007f1af1d2abd4 in ___fprintf_chk (fp=0x7f1af1fdb8b0 <_IO_stdfile_2_lock>, flag=1, format=0x7f1adb26b848 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f1adb253a5a in event_logv_ () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007f1adb253c34 in event_warn () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#4  0x00007f1adb255588 in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#5  0x00007f1adb24b329 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#6  0x00007f1ae27f64c3 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1ae27f2658 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f1ae280f09b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f1ae20ac2c8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f1ae20ac87b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f1ae2826e48 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#13 0x00007f1aedaa05aa in start_thread (arg=0x7f1aa8ff9700) at pthread_create.c:463
#14 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f1aa97fa700 (LWP 2758)):
#0  0x00007f1aedaa681a in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f1aa97f91f0, expected=0, futex_word=0x7f1aa97f9378) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f1aedaa681a in __pthread_cond_wait_common (abstime=0x7f1aa97f9290, mutex=0x7f1aa97f9328, cond=0x7f1aa97f9350) at pthread_cond_wait.c:533
#2  0x00007f1aedaa681a in __pthread_cond_timedwait (cond=0x7f1aa97f9350, mutex=0x7f1aa97f9328, abstime=0x7f1aa97f9290) at pthread_cond_wait.c:667
#3  0x00007f1ae2853fa2 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f1ae281b1be in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f1ae27f5ddb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f1ae27f2658 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1ae280f09b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f1ae20ac218 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f1ae20ac86b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f1ae2826e48 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f1aedaa05aa in start_thread (arg=0x7f1aa97fa700) at pthread_create.c:463
#13 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f1aa9ffb700 (LWP 2756)):
#0  0x00007f1aedaa64ec in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f1aa9ffa358) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f1aedaa64ec in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f1aa9ffa308, cond=0x7f1aa9ffa330) at pthread_cond_wait.c:502
#2  0x00007f1aedaa64ec in __pthread_cond_wait (cond=0x7f1aa9ffa330, mutex=0x7f1aa9ffa308) at pthread_cond_wait.c:655
#3  0x00007f1ae281b239 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f1ae281b267 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f1ae27f5d8b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f1ae27f2658 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1ae280f09b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f1ae20ac168 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f1ae20ac85b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f1ae2826e48 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f1aedaa05aa in start_thread (arg=0x7f1aa9ffb700) at pthread_create.c:463
#13 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f1aaa7fc700 (LWP 2750)):
#0  0x00007f1aedaa64ec in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f1aaa7fb358) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f1aedaa64ec in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f1aaa7fb308, cond=0x7f1aaa7fb330) at pthread_cond_wait.c:502
#2  0x00007f1aedaa64ec in __pthread_cond_wait (cond=0x7f1aaa7fb330, mutex=0x7f1aaa7fb308) at pthread_cond_wait.c:655
#3  0x00007f1ae281b239 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f1ae281b267 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f1ae27f5d8b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f1ae27f2658 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1ae280f09b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f1ae20ac0b8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f1ae20ac84b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f1ae2826e48 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f1aedaa05aa in start_thread (arg=0x7f1aaa7fc700) at pthread_create.c:463
#13 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f1aaaffd700 (LWP 2747)):
#0  0x00007f1af1d1bfe7 in epoll_wait (epfd=28, events=0x7f1a980020d0, maxevents=32, timeout=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007f1adb255408 in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#2  0x00007f1adb24b329 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007f1ae27f63dd in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f1ae27f2658 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f1ae280f09b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f1ae20ac008 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1ae20ac83b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f1ae2826e48 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f1aedaa05aa in start_thread (arg=0x7f1aaaffd700) at pthread_create.c:463
#11 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f1aab7fe700 (LWP 2746)):
#0  0x00007f1aedaa64ec in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f1aab7fd358) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f1aedaa64ec in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f1aab7fd308, cond=0x7f1aab7fd330) at pthread_cond_wait.c:502
#2  0x00007f1aedaa64ec in __pthread_cond_wait (cond=0x7f1aab7fd330, mutex=0x7f1aab7fd308) at pthread_cond_wait.c:655
#3  0x00007f1ae281b239 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f1ae281b267 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f1ae27f5d8b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f1ae27f2658 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1ae280f09b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f1ae20abf58 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f1ae20ac82b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f1ae2826e48 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f1aedaa05aa in start_thread (arg=0x7f1aab7fe700) at pthread_create.c:463
#13 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f1ab935b700 (LWP 2742)):
#0  0x00007f1aedaa64ec in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f1ab935a738) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f1aedaa64ec in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f1ab935a6e8, cond=0x7f1ab935a710) at pthread_cond_wait.c:502
#2  0x00007f1aedaa64ec in __pthread_cond_wait (cond=0x7f1ab935a710, mutex=0x7f1ab935a6e8) at pthread_cond_wait.c:655
#3  0x00007f1ae281b239 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f1ae281b267 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f1ae27f5d8b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f1ae27f2658 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1ae280f09b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f1ae2826d96 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f1aedaa05aa in start_thread (arg=0x7f1ab935b700) at pthread_create.c:463
#11 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f1ab9b5c700 (LWP 2738)):
#0  0x00007f1af1d28f1b in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007f1af1d2abd4 in ___fprintf_chk (fp=0x7f1af1fdb8b0 <_IO_stdfile_2_lock>, flag=1, format=0x7f1adb26b848 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f1adb253a5a in event_logv_ () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007f1adb253c34 in event_warn () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#4  0x00007f1adb255588 in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#5  0x00007f1adb24b329 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#6  0x00007f1ae27f63dd in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f1ae27f2658 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f1ae280f09b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f1ae2826d96 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f1ae2822e9b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f1aedaa05aa in start_thread (arg=0x7f1ab9b5c700) at pthread_create.c:463
#12 0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f1abbcf1700 (LWP 2660)):
#0  0x00007f1aeb844569 in g_mutex_lock () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f1aeb7ff0ff in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f1aeb7ff22c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1af285f10b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f1af28042aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f1af262335a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f1af0fa7e45 in  () at /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#7  0x00007f1af262822d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f1aedaa05aa in start_thread (arg=0x7f1abbcf1700) at pthread_create.c:463
#9  0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f1ac7a25700 (LWP 2634)):
#0  0x00007f1af1d115d9 in __GI___poll (fds=0x7f1ac7a24920, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f1aed4ea150 in  () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f1aed4ebee9 in xcb_wait_for_event () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f1ac9724029 in  () at /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#4  0x00007f1af262822d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f1aedaa05aa in start_thread (arg=0x7f1ac7a25700) at pthread_create.c:463
#6  0x00007f1af1d1bcbf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f1af52d4080 (LWP 2568)):
[KCrash Handler]
#6  0x00007f19c1120be0 in KManageSieve::SieveJob::kill(KJob::KillVerbosity) () at /usr/lib/x86_64-linux-gnu/libKF5KManageSieve.so.5
#7  0x00007f19c3b62017 in KSieveUi::SieveDebugDialog::slotShutDownJob() () at /usr/lib/x86_64-linux-gnu/libKF5KSieveUi.so.5
#8  0x00007f1af2834e6f in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f1af2841827 in QTimer::timeout(QTimer::QPrivateSignal) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f1af2841b88 in QTimer::timerEvent(QTimerEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f1af283587b in QObject::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#12 0x00007f1af352263c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#13 0x00007f1af3529f04 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#14 0x00007f1af2806258 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#15 0x00007f1af285e58e in QTimerInfoList::activateTimers() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#16 0x00007f1af285ed89 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#17 0x00007f1aeb7fef67 in g_main_context_dispatch () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007f1aeb7ff1a0 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007f1aeb7ff22c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#20 0x00007f1af285f0ef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#21 0x00007f1af28042aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#22 0x00007f1af370c587 in QDialog::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#23 0x00007f19c4811d78 in KMMainWidget::slotDebugSieve() () at /usr/lib/x86_64-linux-gnu/libkmailprivate.so.5
#24 0x00007f1af2834e6f in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#25 0x00007f1af351bf52 in QAction::triggered(bool) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#26 0x00007f1af351e63c in QAction::activate(QAction::ActionEvent) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#27 0x00007f1af369a71c in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#28 0x00007f1af36a1c0b in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#29 0x00007f1af36a2ad3 in QMenu::mouseReleaseEvent(QMouseEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#30 0x00007f1af3560d48 in QWidget::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#31 0x00007f1af36a4d8b in QMenu::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#32 0x00007f1af352263c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#33 0x00007f1af352a45f in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#34 0x00007f1af2806258 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#35 0x00007f1af3529432 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#36 0x00007f1af357b775 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#37 0x00007f1af357e0aa in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#38 0x00007f1af352263c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#39 0x00007f1af3529f04 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#40 0x00007f1af2806258 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#41 0x00007f1af2d67183 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#42 0x00007f1af2d68c65 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#43 0x00007f1af2d40cab in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#44 0x00007f1ac9786ce0 in  () at /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#45 0x00007f1aeb7fef67 in g_main_context_dispatch () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#46 0x00007f1aeb7ff1a0 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#47 0x00007f1aeb7ff22c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#48 0x00007f1af285f0ef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#49 0x00007f1af28042aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#50 0x00007f1af280d214 in QCoreApplication::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#51 0x000055cc8464647d in  ()
#52 0x00007f1af1c46a87 in __libc_start_main (main=0x55cc84645630, argc=3, argv=0x7ffd3347d648, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffd3347d638) at ../csu/libc-start.c:310
#53 0x000055cc84646ada in _start ()

Reported using DrKonqi
Comment 1 Justin Zobel 2020-12-17 05:35:35 UTC
Thank you for the crash report.

As it has been a while since this was reported, can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved.

I have set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved/worksforme" when you respond, thank you.
Comment 2 Bug Janitor Service 2021-01-01 04:38:15 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 3 Bug Janitor Service 2021-01-16 04:37:05 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!